Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Interface User

public interface User

The `User` interface is an abstract view on the user-specific data. Apart from a set of pre-defined, fixed set of attributes, the interface gives access to dynamic data as well.

To enable a portlet to access dynamic data, the naming conventions of the portlet container have to be propagated to the portlet. It is recommended to do so through the portlet configuration. For example, if the portlet wants to access an "address" attribute, it should query its configuration for the dynamic data name of the "address" attribute for this particular installation. If no such

This interface has to be properly thought through. What are the the essential attributes? Should some be fixed (ie. the essentials) or all be dynamic?

Author:
  Thomas F. Boehme

Method Summary
`java.lang.String` | `getFamilyName()` Returns the family (aka last) name of the user.
`java.lang.String` | `getGivenName()` Returns the given (aka first) name of the user.
`java.lang.String` | `getID()` Returns the user id.
`long` | `getLastLoginTime()` Returns the point of time that this was last logged in, or `null` if this information is not available.
`java.lang.String` | `getMiddleNames()` Returns the middle names of the user.
`java.lang.String` | `getNickName()` Returns the nick name of the user.
`boolean` | `isLoggedIn()` Returns whether the user is logged in or not.

Method Detail

### getID

    public java.lang.String getID()

  Returns the user id.

  Returns:
    the user id

### getGivenName

    public java.lang.String getGivenName()

  Returns the given (aka first) name of the user.

  Returns:
    the given name

### getMiddleNames

    public java.lang.String getMiddleNames()

  Returns the middle names of the user.

  Returns:
    the middle names

### getFamilyName

    public java.lang.String getFamilyName()

  Returns the family (aka last) name of the user.

  Returns:
    the family name

### getNickName

    public java.lang.String getNickName()

  Returns the nick name of the user.

  Returns:
    the nick name

### getLastLoginTime

    public long getLastLoginTime()

  Returns the point of time that this was last logged in, or `null` if this information is not available. The time is returned in number of milliseconds since January 1, 1970 GMT.

  Returns:
    the last login time

### isLoggedIn

    public boolean isLoggedIn()

  Returns whether the user is logged in or not.

  Returns:
    True if the user is logged in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.